<?php
// get the attachment ID from file URL
function get_image_id($image_url) {
global $wpdb;
$attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url )); 
return $attachment[0]; 
}
function wpbeginner_remove_version() {
return '';
}
add_filter('the_generator', 'wpbeginner_remove_version');
function register_my_menus() {
  register_nav_menus(
    array(
	  'main-menu' => __( 'منو اصلی' ),
    )
  );
}
add_action( 'init', 'register_my_menus' );
if (function_exists('add_theme_support')) {
    add_theme_support('menus');
	add_theme_support('post-thumbnails');
}
if ( function_exists( 'add_image_size' ) ) { 
 add_image_size( 'archive', 135, 100,array( 'center', 'top' ) ); //(cropped)
 add_image_size( 'archive_bottom_box', 206, 158,array( 'center', 'top' ) ); //(cropped)
 add_image_size( 'footer', 90, 65,array( 'center', 'top' ) ); //(cropped)
 add_image_size( 'single', 360, 279,array( 'center', 'top' ) ); //(cropped)
 add_image_size( 'gallery', 120, 86,array( 'center', 'top' ) ); //(cropped)
}
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'sidebar',
		'class' => 'onliner',
		'id' => 'onliner',
		'before_title' => '<div class="title_box"><h3><a>',
		'after_title' => '</a></h3><span></span></div><div class="content_widg_sidebar">',
        'before_widget' => '<div class="main_box_sidebar">',
        'after_widget' => '</div></div>',
    ));
function custom_excerpt($length, $ellipsis) {
$text = get_the_content();
$text = preg_replace('`\[[^\]]*\]`','',$text);
$text = strip_tags($text);
$text = substr($text, 0, $length);
$text = substr($text, 0, strripos($text, " "));
$text = $text.$ellipsis;
return $text;
}
function set_post_views($postID) {
	if(!(is_user_logged_in())){
		$count_key = 'post-views';
		$count = get_post_meta($postID, $count_key, true);
	if($count==''){
		$count = 0;
		delete_post_meta($postID, $count_key);
		add_post_meta($postID, $count_key, '1');
	}else{
		$count++;
		update_post_meta($postID, $count_key, $count);
	}
	}
}
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
function feed_shop_onliner_widget(){
            echo '<div class="rss-widget">';
            wp_widget_rss_output(array(
                'url' => 'http://shop.onliner.ir/feed/',
                'title' => 'آخرین مطالب',
                'meta' => array('target' => '_blank'),
                'items' => 5,
                'show_summary' => 1,
                'show_author' => 0,
                'show_date' => 1
            ));
            echo "</div>";
        }
function feed_shop_onliner_widget2(){
  wp_add_dashboard_widget( 'feed_shop_onliner_widget', 'آخرین مطالب', 'feed_shop_onliner_widget' );
}
add_action( 'wp_dashboard_setup', 'feed_shop_onliner_widget2' );
function feed_shop_onliner_widget1(){
            echo '<div class="rss-widget">';
            wp_widget_rss_output(array(
                'url' => 'http://onliner.ir/feed/?post_type=product',
                'title' => 'آخرین مطالب آموزشی',
                'meta' => array('target' => '_blank'),
                'items' => 5,
                'show_summary' => 1,
                'show_author' => 0,
                'show_date' => 1
            ));
            echo "</div>";
        }
function feed_shop_onliner_widget3(){
  wp_add_dashboard_widget( 'feed_shop_onliner_widget1', 'آخرین مطالب آموزشی', 'feed_shop_onliner_widget1' );
}
add_action( 'wp_dashboard_setup', 'feed_shop_onliner_widget3' );
function feed_shop_onliner_widget5(){
            echo '<div class="rss-widget">';
            wp_widget_rss_output(array(
                'url' => 'http://shop.onliner.ir/feed/?post_type=product',
                'title' => 'آخرین مطالب قالبها',
                'meta' => array('target' => '_blank'),
                'items' => 5,
                'show_summary' => 1,
                'show_author' => 0,
                'show_date' => 1
            ));
            echo "</div>";
        }
function feed_shop_onliner_widget4(){
  wp_add_dashboard_widget( 'feed_shop_onliner_widget5', 'آخرین مطالب قالبها', 'feed_shop_onliner_widget5' );
}
add_action( 'wp_dashboard_setup', 'feed_shop_onliner_widget4' );
function track_post_views ($post_id) {
if ( !is_single() ) return;
if ( empty ( $post_id) ) {
global $post;
$post_id = $post->ID;
}
set_post_views($post_id);
}
add_action('wp_head', 'track_post_views');
function __search_by_title_only( $search, &$wp_query )
{
    global $wpdb;
    if ( empty( $search ) )
        return $search; // skip processing - no search term in query
    $q = $wp_query->query_vars;
    $n = ! empty( $q['exact'] ) ? '' : '%';
    $search =
    $searchand = '';
    foreach ( (array) $q['search_terms'] as $term ) {
        $term = esc_sql( like_escape( $term ) );
        $search .= "{$searchand}($wpdb->posts.post_title LIKE '{$n}{$term}{$n}')";
        $searchand = ' AND ';
    }
    if ( ! empty( $search ) ) {
        $search = " AND ({$search}) ";
        if ( ! is_user_logged_in() )
            $search .= " AND ($wpdb->posts.post_password = '') ";
    }
    return $search;
}
add_filter( 'posts_search', '__search_by_title_only', 500, 2 );
include(TEMPLATEPATH.'/setup/panel.php');
include(TEMPLATEPATH.'/setup/categories-images.php');
function wpbeginner_numeric_posts_nav() {
	if( is_singular() )
		return;
	global $wp_query;
	/** Stop execution if there's only 1 page */
	if( $wp_query->max_num_pages <= 1 )
		return;
	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max   = intval( $wp_query->max_num_pages );
	/**	Add current page to the array */
	if ( $paged >= 1 )
		$links[] = $paged;
	/**	Add the pages around the current page to the array */
	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}
	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}
	echo '<div class="navigation"><ul>' . "\n";
	/**	Previous Post Link */
	if ( get_previous_posts_link() )
		printf( '<li>%s</li>' . "\n", get_previous_posts_link() );
	/**	Link to first page, plus ellipses if necessary */
	if ( ! in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );
		if ( ! in_array( 2, $links ) )
			echo '<li>…</li>';
	}
	/**	Link to current page, plus 2 pages in either direction if necessary */
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
	}
	/**	Link to last page, plus ellipses if necessary */
	if ( ! in_array( $max, $links ) ) {
		if ( ! in_array( $max - 1, $links ) )
			echo '<li>…</li>' . "\n";
		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
	}
	/**	Next Post Link */
	if ( get_next_posts_link() )
		printf( '<li>%s</li>' . "\n", get_next_posts_link() );

	echo '</ul></div>' . "\n";
}
function downloadLink($atts) {
    extract(shortcode_atts(array(
        "link" => 'http://'
    ), $atts));
    return '<a class="dl-button" href="'.$link.'"><img src="'.get_bloginfo('template_url').'/images/download.png" /></a>';
}
add_shortcode("download", "downloadLink");
function mytheme_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);

		if ( 'div' == $args['style'] ) {
			$tag = 'div';
			$add_below = 'comment';
		} else {
			$tag = 'li';
			$add_below = 'div-comment';
		}
?>
		<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
		<?php if ( 'div' != $args['style'] ) : ?>
		<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
		<?php endif; ?>
		<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		<?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
<?php if ($comment->comment_approved == '0') : ?>
		<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.') ?></em>
<?php endif; ?>
		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __('%1$s'), get_comment_date()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','' );
			?>
		</div>
		<?php comment_text() ?>
		<div class="reply">
		<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		</div>
		<?php if ( 'div' != $args['style'] ) : ?>
		</div>
		<?php endif; ?>
<?php } ?>
<?php
function improved_trim_excerpt($text) {
        global $post;
        if ( '' == $text ) {
                $text = get_the_content('');
                $text = apply_filters('the_content', $text);
                $text = str_replace('\]\]\>', ']]&gt;', $text);
                $text = strip_tags($text, '<a>');
                $excerpt_length = 65;
                $words = explode(' ', $text, $excerpt_length + 1);
                if (count($words)> $excerpt_length) {
                        array_pop($words);
                        array_push($words, ' ...');
                        $text = implode(' ', $words);
                }
        }
        return $text;
}
remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'improved_trim_excerpt');
?>