<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fa-IR" dir="rtl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name=”apple-mobile-web-app-capable” content=”yes” />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
<title><?php if (is_home () ) { bloginfo('name'); } elseif ( is_category() ) { single_cat_title();}
elseif (is_single() ) { single_post_title(); }
elseif (is_page() ) { single_post_title(); }
else { wp_title('',true); } ?></title>
<link rel="shortcut icon" href="<?php echo get_option('favicon'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo SOURCE; ?>style.css" />
<link rel="stylesheet" type="text/css" href="<?php echo SOURCE; ?>css/reset.css" />
<link rel="stylesheet" type="text/css" href="<?php echo SOURCE; ?>css/<?php echo get_option('title_font'); ?>-font.css" />
<link rel="stylesheet" href="<?php echo SOURCE; ?>css/prettyPhoto.css" type="text/css" media="screen" title="prettyPhoto main stylesheet" charset="utf-8" />
<?php wp_head(); ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php echo stripslashes(get_option('analytics'));?>
</head>
<body>
	<!--header-->
	<div class="main_header">
		<div class="header">
			<div class="top_header">
				<p><?php echo get_option('welcome'); ?></p>
				<!--social-->
				<a href="<?php echo get_option('Linkdin'); ?>" title="Linkdin" class="linkedin"></a>
				<a href="<?php echo get_option('Facebook'); ?>" title="Facebook" class="facebook_header"></a>
				<a href="<?php echo get_option('Google'); ?>" title="Google Plus" class="gplus"></a>
				<a href="<?php bloginfo('template_url'); ?>/feed" title="RSS" class="rss"></a>
				<!--/social-->
			</div>
			<!--logo-->
<?php 
$logo = get_option("logo");
?>
<div class="logo"   <?php if($logo){ ?>style="<?php echo "background:url('".$logo."') no-repeat scroll center center transparent;";}  ?>">
<?php if(is_home()){
			?>
      <h1>
      <?php } else { ?>
	  <h3>
	  <?php } ?><a href="<?php bloginfo('url'); ?>"><?php bloginfo('title'); ?></a>
	  <?php if(is_home()) {?>
			</h1>
			<?php } else {?>
				</h3>
			<?php }?>
				<h6><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('title'); ?>/"><?php bloginfo('description'); ?></a></h6>
			</div>
			       <?php
						$today_date = date("Y-m-d");
						$today_time = strtotime($today_date);
						$expire_date = get_option("banner_expire");
						$banners_top= get_option('banner_images');
						$titles_top= get_option('banner_titles');
						$captions_top= get_option('banner_captions');
						$links_top= get_option('banner_links');
						$types_top=get_option('banner_type');
						$follow_top=get_option('banner_follow');
						$ads_count= count($banners_top) - 1;
						if ($banners_top[0]){
						for($i=0;$i<=$ads_count;$i++) {
							$ads = "";
							$expire_item_time = @strtotime($expire_date[$i]);
							if(($expire_item_time > $today_time) or ($expire_date[$i]==0)){
								$is_ads_active[$i] = true;
							} else {
								$is_ads_active[$i] = false;
							}
							if($is_ads_active[$i]) {
								if($types_top[$i]=="flash"){
									$ads .= '<object class="banner" type="application/x-shockwave-flash" data="'.$banners_top[$i].'"> <param value="'.$banners_top[$i].'" name="movie"><param value="transparent" name="wmode"></object>';
								} else {
									$ads .= '<a rel="'.$follow_top[$i].'" href="'.$links_top[$i].'" title="'.$titles_top[$i].'"><img src="'.$banners_top[$i].'" alt="'.$titles_top[$i].'"  title="'.$titles_top[$i].'" class="banner" /></a>';
								}
								echo $ads;
							}
						}
					}
					?>
			<div class="clear"></div>
			<!--menu-->
			<div class="main_menu">
			<a class="menu_icon" href="javascript:void();" title=""></a>
<ul class="sf-menu" id="example">
<?php wp_nav_menu(array('container'=>'false','theme_location'=>'main-menu','items_wrap' => '%3$s'));?>
</ul>
		</div>
		<!--form_Search-->
		<form action="<?php bloginfo('url'); ?>" method="get" class="form_search">
			<input onfocus="if(this.value=='کلمه مورد نظر را وارد کنید.') this.value=''" onblur="if(this.value=='') this.value='کلمه مورد نظر را وارد کنید.';" type="text" value="کلمه مورد نظر را وارد کنید." name="s" id="txt-search"/>
			<input type="submit" id="submit_search" value=""/>
		</form>
		</div>
	</div>