<?php
if ( ! function_exists('add_ht_post_options_cb') ) {
    function add_ht_post_options_cb() {
        add_meta_box(
            'tak-theme',
            'تنظیمات برای نمونه کارها',
            'show_ht_post_options_cb',
            'post',
            'normal',
            'high');
    }
}
add_action('add_meta_boxes', 'add_ht_post_options_cb');
$custom_post_meta_fields = array(
    array(
        'label'=> __('آدرس سایت', 'highthemes'),
        'desc'  => __('آدرس سایت را بدون http:// وارد نمائید', 'highthemes'),
        'id'    => 'address_site',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('نحوه آشنایی', 'highthemes'),
        'desc'  => __('نحوه آشنایی با وب آرت را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'We_are_familiar_with_the',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('نوع سایت', 'highthemes'),
        'desc'  => __('نوع سایت را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'type_site',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('سطح دسترسی', 'highthemes'),
        'desc'  => __('سطح دسترسی سایت را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'Access_site',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('نوع طراحی', 'highthemes'),
        'desc'  => __('نوع طراحی را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'type_design',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('تکنولوژی ها', 'highthemes'),
        'desc'  => __('تکنولوژی های به کار رفته را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'use_technology',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('رنگ بندی', 'highthemes'),
        'desc'  => __('رنگ بندی سایت را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'set_color',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('تاریخ ساخت', 'highthemes'),
        'desc'  => __('تاریخ ساخت را در این فیلد درج نمائید', 'highthemes'),
        'id'    => 'make_date',
        'type'  => 'text'
    ),
	    array(
        'label'=> __('ویژگی ها و امکانات به کار رفته ', 'highthemes'),
        'desc'  => __('ویژگی ها و امکانات به کار رفته در سایت را در این باکس درج نمائید. بعد از وارد کردن هر ویژگی یک اینتر بزنید', 'highthemes'),
        'id'    => 'Features',
        'type'  => 'textarea'
    ),
/*    array(
        'label'=> __('Slideshow Status', 'highthemes'),
        'desc'  => __('You can override the slideshow status for this page/post.', 'highthemes'),
        'id'    => $prefix.'slideshow_status',
        'type'  => 'select',
        'options' => array (
            'default' => array (
                'label' => __('Default Settings', 'highthemes'),
                'value' => ''
            ),
            'enable' => array (
                'label' => __('Enable Slideshow', 'highthemes'),
                'value' => 1
            ),
            'disable' => array (
                'label' => __('Disable Slideshow', 'highthemes'),
                'value' => 'false'
            )
        )
    ),
    array (
        'label' => __('Slideshow Category', 'highthemes'),
        'desc'  => __('Check the categories you wish to show items from', 'highthemes'),
        'id'    => $prefix.'slideshow_category',
        'type'  => 'select',
        'options' => $sterms_array
    )  ,
    array(
        'label' =>__('Disable Sidebar?', 'highthemes'),
        'desc'  =>__('Check to disable sidebar', 'highthemes'),
        'id'    =>$prefix.'disable_sidebar',
        'type'  =>'checkbox'
    ),
    array(
        'label' =>__('Featured image on single page', 'highthemes'),
        'desc'  =>__('You can enable/disable featured image on this page.', 'highthemes'),
        'id'    =>$prefix.'disable_post_image',
        'type'  =>'select',
        'options'=>array(
            'select' => array(
                'label' => __('Select An Option', 'highthemes'),
                'value' =>''
            ),
            'true' => array (
                'label' => __('Enable', 'highthemes'),
                'value' => 'true'
            ),
            'false' => array (
                'label' => __('Disable', 'highthemes'),
                'value' => 'false'
            )
        )
    ),
    array(
        'label'=> __('Embed Video ', 'highthemes'),
        'desc'  => __('To embed a video, you can paste its link here.  what type? (http://www.no-margin-for-errors.com/projects/prettyphoto-jquery-lightbox-clone/)', 'highthemes'),
        'id'    => $prefix.'video_link',
        'type'  => 'text'
    ),
    array(
        'label'=> __('External Link for Link Post Format ', 'highthemes'),
        'desc'  => __('Paste an external link address, if you\'ve chosen "link" post format type. ', 'highthemes'),
        'id'    => $prefix.'link_post_format',
        'type'  => 'text'
    ),
    array(
        'label'=> __('Video Background URL', 'highthemes'),
        'desc'  => __('Enter the URL of the Background Video(Youtube/Vimeo/Dailymotion or hosted MP4, flv) here. It will override the background slideshow. ', 'highthemes'),
        'id'    => $prefix.'page_video',
        'type'  => 'text'
    ),
    array(
        'label' =>__('Autoplay Video?', 'highthemes'),
        'desc'  =>__('If checked video will autoplay.', 'highthemes'),
        'id'    =>$prefix.'video_autoplay',
        'type'  =>'checkbox'
    ),
    array(
        'label' =>__('Repeat Video?', 'highthemes'),
        'desc'  =>__('If checked video will repeat. (if you embedded a dailymotion video, you need to check autoplay option too.)', 'highthemes'),
        'id'    =>$prefix.'video_repeat',
        'type'  =>'checkbox'
    ),
    array(
        'label' =>__('Controlbar Video?', 'highthemes'),
        'desc'  =>__('If checked  hide the controlbar. (only for self-hosted videos)', 'highthemes'),
        'id'    =>$prefix.'video_controlbar',
        'type'  =>'checkbox'
    ),
    array(
        'label' =>__('Hide content', 'highthemes'),
        'desc'  =>__('If you want to hide the page content, check this box.', 'highthemes'),
        'id'    =>$prefix.'content_hide',
        'type'  =>'checkbox'
    )*/
);
if ( ! function_exists('show_ht_post_options_cb') ) {
    function show_ht_post_options_cb() {
        global $custom_post_meta_fields, $post;
        echo '<input type="hidden" name="custom_post_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';
        echo '<table class="form-table">';
        foreach ($custom_post_meta_fields as $field) {
            $meta = get_post_meta($post->ID, $field['id'], true);
            echo '<tr>
                    <th><label for="'.$field['id'].'">'.$field['label'].'</label></th>
                    <td>';
            switch($field['type']) {
                // text
                case 'text':
                    echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" size="30" />
            <br /><span class="description">'.$field['desc'].'</span>';
                    break;
                // textarea
                case 'textarea':
                    echo '<textarea name="'.$field['id'].'" id="'.$field['id'].'" cols="60" rows="4">'.$meta.'</textarea>
            <br /><span class="description">'.$field['desc'].'</span>';
                    break;
                // checkbox
                case 'checkbox':
                    echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
            <label for="'.$field['id'].'">'.$field['desc'].'</label>';
                    break;
                // checkbox_group
                case 'checkbox_group':
                    foreach ($field['options'] as $option) {
                        echo '<input type="checkbox" value="'.$option['value'].'" name="'.$field['id'].'[]" id="'.$option['value'].'"',$meta && in_array($option['value'], $meta) ? ' checked="checked"' : '',' />
                <label for="'.$option['value'].'">'.$option['label'].'</label><br />';
                    }
                    echo '<span class="description">'.$field['desc'].'</span>';
                    break;
                // select
                case 'select':
                    echo '<select name="'.$field['id'].'" id="'.$field['id'].'">';
                    foreach ($field['options'] as $option) {
                        echo '<option', $meta == $option['value'] ? ' selected="selected"' : '', ' value="'.$option['value'].'">'.$option['label'].'</option>';
                    }
                    echo '</select><br /><span class="description">'.$field['desc'].'</span>';
                    break;
            }
            echo '</td></tr>';
        }
        echo '</table>';
    }
}
// Save the Data
if ( ! function_exists('save_custom_post_meta') ) {
    function save_custom_post_meta($post_id) {
        global $custom_post_meta_fields;
        if(isset($_POST['custom_post_meta_box_nonce'])){
            if (!wp_verify_nonce($_POST['custom_post_meta_box_nonce'], basename(__FILE__)))
                return $post_id;
            if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
                return $post_id;
            if ('page' == $_POST['post_type']) {
                if (!current_user_can('edit_page', $post_id))
                    return $post_id;
            } elseif (!current_user_can('edit_post', $post_id)) {
                return $post_id;
            }
            // loop through fields and save the data
            foreach ($custom_post_meta_fields as $field) {
                $old = get_post_meta($post_id, $field['id'], true);
                $new = $_POST[$field['id']];
                if ($new && $new != $old) {
                    update_post_meta($post_id, $field['id'], $new);
                } elseif ('' == $new && $old) {
                    delete_post_meta($post_id, $field['id'], $old);
                }
            }
        }
    }
}
add_action('save_post', 'save_custom_post_meta');
?>
<?php
function myplugin_add_meta_box() {
        add_meta_box(
            'myplugin_sectionid',
            __( 'دسته نمونه کار', 'myplugin_textdomain' ),
            'myplugin_meta_box_callback',
            'page','side','default'
        );

}
add_action( 'add_meta_boxes', 'myplugin_add_meta_box' );
function myplugin_meta_box_callback( $post ) {
    wp_nonce_field( 'myplugin_meta_box', 'myplugin_meta_box_nonce' );
    $value = get_post_meta( $post->ID, '_my_meta_value_key', true );

    echo '<label for="myplugin_new_field">';
    _e( 'دسته نمونه کاری را که میخواهید پست های آن در این برگه نمایش داده شود را انتخاب نمائید.<br/>', 'myplugin_textdomain' );
    echo '</label> ';
 //   echo '<input type="text" id="myplugin_new_field" name="myplugin_new_field" value="' . esc_attr( $value ) . '" size="25" />';
	echo '<select name="myplugin_new_field" id="myplugin_new_field" style="width:100%;background:#f1f1f1;">';
	echo '<option value="">دسته ها:</option>';
	$args = array('child_of' => 28);
	$cats = get_categories($args);
	foreach ($cats as $x) {
		$cat_name = $x->cat_name;
		$cat_id = $x->cat_ID;
		echo '<option value="'.$cat_id.'"';
		if($value == $cat_id){echo 'selected="selected"';}
		echo '>'.$cat_name.'</option>';
	}
	echo '</select>';
	}
function myplugin_save_meta_box_data( $post_id ) {
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
        return;
    }
    if ( ! isset( $_POST['myplugin_new_field'] ) ) {
        return;
    }
    $my_data = sanitize_text_field( $_POST['myplugin_new_field'] );

    update_post_meta( $post_id, '_my_meta_value_key', $my_data );
}
add_action( 'save_post', 'myplugin_save_meta_box_data' );
?>